# ory_keto_client
Ory Keto is a cloud native access control server providing best-practice patterns (RBAC, ABAC, ACL, AWS IAM Policies, Kubernetes Roles, ...) via REST APIs.

This Dart package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: v0.0.0-alpha.58
- Build package: org.openapitools.codegen.languages.DartClientCodegen
For more information, please visit [https://www.ory.sh](https://www.ory.sh)

## Requirements

Dart 2.0 or later

## Installation & Usage

### Github
If this Dart package is published to Github, add the following dependency to your pubspec.yaml
```
dependencies:
  ory_keto_client:
    git: https://github.com/ory/sdk.git
```

### Local
To use the package in your local drive, add the following dependency to your pubspec.yaml
```
dependencies:
  ory_keto_client:
    path: /path/to/ory_keto_client
```

## Tests

TODO

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```dart
import 'package:ory_keto_client/api.dart';


final api_instance = EnginesApi();
final flavor = flavor_example; // String | The ORY Access Control Policy flavor. Can be \"regex\", \"glob\", and \"exact\".
final id = id_example; // String | The ID of the ORY Access Control Policy Role.
final body = AddOryAccessControlPolicyRoleMembersBody(); // AddOryAccessControlPolicyRoleMembersBody | 

try {
    final result = api_instance.addOryAccessControlPolicyRoleMembers(flavor, id, body);
    print(result);
} catch (e) {
    print('Exception when calling EnginesApi->addOryAccessControlPolicyRoleMembers: $e\n');
}

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*EnginesApi* | [**addOryAccessControlPolicyRoleMembers**](doc//EnginesApi.md#addoryaccesscontrolpolicyrolemembers) | **PUT** /engines/acp/ory/{flavor}/roles/{id}/members | Add a member to an ORY Access Control Policy Role
*EnginesApi* | [**deleteOryAccessControlPolicy**](doc//EnginesApi.md#deleteoryaccesscontrolpolicy) | **DELETE** /engines/acp/ory/{flavor}/policies/{id} | 
*EnginesApi* | [**deleteOryAccessControlPolicyRole**](doc//EnginesApi.md#deleteoryaccesscontrolpolicyrole) | **DELETE** /engines/acp/ory/{flavor}/roles/{id} | Delete an ORY Access Control Policy Role
*EnginesApi* | [**doOryAccessControlPoliciesAllow**](doc//EnginesApi.md#dooryaccesscontrolpoliciesallow) | **POST** /engines/acp/ory/{flavor}/allowed | Check if a request is allowed
*EnginesApi* | [**getOryAccessControlPolicy**](doc//EnginesApi.md#getoryaccesscontrolpolicy) | **GET** /engines/acp/ory/{flavor}/policies/{id} | 
*EnginesApi* | [**getOryAccessControlPolicyRole**](doc//EnginesApi.md#getoryaccesscontrolpolicyrole) | **GET** /engines/acp/ory/{flavor}/roles/{id} | Get an ORY Access Control Policy Role
*EnginesApi* | [**listOryAccessControlPolicies**](doc//EnginesApi.md#listoryaccesscontrolpolicies) | **GET** /engines/acp/ory/{flavor}/policies | 
*EnginesApi* | [**listOryAccessControlPolicyRoles**](doc//EnginesApi.md#listoryaccesscontrolpolicyroles) | **GET** /engines/acp/ory/{flavor}/roles | List ORY Access Control Policy Roles
*EnginesApi* | [**removeOryAccessControlPolicyRoleMembers**](doc//EnginesApi.md#removeoryaccesscontrolpolicyrolemembers) | **DELETE** /engines/acp/ory/{flavor}/roles/{id}/members/{member} | Remove a member from an ORY Access Control Policy Role
*EnginesApi* | [**upsertOryAccessControlPolicy**](doc//EnginesApi.md#upsertoryaccesscontrolpolicy) | **PUT** /engines/acp/ory/{flavor}/policies | 
*EnginesApi* | [**upsertOryAccessControlPolicyRole**](doc//EnginesApi.md#upsertoryaccesscontrolpolicyrole) | **PUT** /engines/acp/ory/{flavor}/roles | Upsert an ORY Access Control Policy Role
*HealthApi* | [**isInstanceAlive**](doc//HealthApi.md#isinstancealive) | **GET** /health/alive | Check alive status
*HealthApi* | [**isInstanceReady**](doc//HealthApi.md#isinstanceready) | **GET** /health/ready | Check readiness status
*VersionApi* | [**getVersion**](doc//VersionApi.md#getversion) | **GET** /version | Get service version


## Documentation For Models

 - [AddOryAccessControlPolicyRoleMembersBody](doc//AddOryAccessControlPolicyRoleMembersBody.md)
 - [AuthorizationResult](doc//AuthorizationResult.md)
 - [HealthNotReadyStatus](doc//HealthNotReadyStatus.md)
 - [HealthStatus](doc//HealthStatus.md)
 - [InlineResponse500](doc//InlineResponse500.md)
 - [OryAccessControlPolicy](doc//OryAccessControlPolicy.md)
 - [OryAccessControlPolicyAllowedInput](doc//OryAccessControlPolicyAllowedInput.md)
 - [OryAccessControlPolicyRole](doc//OryAccessControlPolicyRole.md)
 - [Version](doc//Version.md)


## Documentation For Authorization

 All endpoints do not require authorization.


## Author

hi@ory.sh


